Subject: Re: [SWIPL] prolog syntax

From: Bijan Parsia <[email-masked]>
Date: Tue, 28 Aug 2001 08:52:24 -0400

--On Tuesday, August 28, 2001 12:17 PM +1200 "Richard A. O'Keefe" 
<[email-masked]> wrote:

[snip]
> Writing Prolog list-processing predicates is pretty obvious if you know
> how to write list-processing functions in Lisp, so "The Simple Schemer"

It's "The Little Schemer"; sequel: "The Seasoned Schemer" which might not 
be as useful as it spends a fair bit of time on continuations, IIRC.

> might be a good start too.
[snip]

I second that endorsement. A "Little Prologer" would be fairly easy to 
generate from "The Little Schemer", even counting the need to add Prolog 
specific bits (and kill stuff like the binding forms).

If you want a more "straightforward" presentation, try Simply Scheme...I'm 
fairly sure it has a chapter or two on list processing :)

Cheers,
Bijan Parsia.